Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81911 - NCHardwareFactory.py:42:getHardwareClass:KeyError: Wireless
Summary: NCHardwareFactory.py:42:getHardwareClass:KeyError: Wireless
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-15 03:02 UTC by Joshua Ginsberg
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-11 14:08:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:183 normal SHIPPED_LIVE Updated redhat-config-network package available 2003-08-11 04:00:00 UTC

Description Joshua Ginsberg 2003-01-15 03:02:44 UTC
I have a wireless PCMCIA device that is configured to use the wvlan_cs driver. I
configured it manually using the netconfig cli command "netconfig --device=eth1
--bootproto=dhcp"... I then try to run neat... stderr reports :

Warning : Device eth1 has been compiled with version 14
of Wireless Extension, while we are using version 12.
Some things may be broken...

after a slew of libglade warnings... graphically, I am presented with :


Component: redhat-config-network
Version: 1.1.86
Summary: TB
/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareFactory.py:42:getHardwareClass:
KeyError: Wireless

Traceback (most recent call last):
  File "/usr/sbin/neat", line 98, in ?
    window = mainDialog()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 154, in __init__
    self.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 227, in load
    self.loadHardware()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 238, in loadHardware
    hardwarelist = getHardwareList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 389, in getHardwareList
    HWList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 220, in load
    self.updateFromSystem()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 167, in updateFromSystem
    i = self.addHardware(getDeviceType(device))
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 134, in addHardware
    hwc = hwf.getHardwareClass(type)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareFactory.py", line
42, in getHardwareClass
    return self[type][0]
KeyError: Wireless

Comment 1 Harald Hoyer 2003-01-15 11:49:41 UTC
should be fixed with 1.1.90 (second public beta)

Comment 2 Joshua Ginsberg 2003-05-19 22:42:47 UTC
I submitted this bug for Phoebe 1... in Phoebe 3 at least it was fixed... Unless
the bug has resurfaced for RH9 (I wouldn't know; I'm not running it yet) this
bug should probably be closed...

-jag

Comment 3 Harald Hoyer 2003-08-11 14:08:13 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html



Note You need to log in before you can comment on or make changes to this bug.